package farmacie_con_liste;

public class Medicinale {

	private static int progressivo = 0;
	
	protected String codice;
	protected String principioAttivo;
	protected String formato;
	protected double prezzo;
	protected String casaFarmaceutica;
	
	public Medicinale() {
		this("","",0,"nessuna_casa");
	}
	
	public Medicinale(String principio, String f, double prezzo, String casa) {
		this.codice = ++progressivo + "_" + casa.substring(0,3)+(casa.length()-3);
		this.principioAttivo = principio;
		this.formato = f;
		this.prezzo = prezzo;
		this.casaFarmaceutica = casa;
	}
	
	/* Construttore alternativo con annesso metodo privato per la costruzione della sigla
	 * della casa farmaceutica
	 
	public Medicinale(String principio, String f, double prezzo, String casa) {
		this.codice = ++progressivo + "_" + estraiSigla(casa);
		this.principioAttivo = principio;
		this.formato = f;
		this.prezzo = prezzo;
		this.casaFarmaceutica = casa;
	}

	private String estraiSigla(String casaF) {
		return casaF.substring(0,3)+(casaF.length()-3);
	}
	*/
	
	public String getCodice() {
		return codice;
	}
	
	public String getFormato() {
		return formato;
	}
	
	
	@Override
	public String toString() {
		String s = "";
		s += "Codice medicinale: "+codice+"\n";
		s += "Principio attivo: "+principioAttivo+"\n";
		s += "Formato: "+formato+"\n";
		s += "Prezzo: "+prezzo+"\n";
		s += "Casa farmaceutica: "+casaFarmaceutica+"\n";
		return s;
	}

}
